<!-- Taken from earlier project & adopted -->
<template>
  <transition name="modal-fade">
    <div class="backdrop mdl" @click="close">
      <div
          class="modal"
          role="dialog"
      >
        <div class="modal-body">
          <slot name="body" class="column"></slot>
        </div>
      </div>
    </div>
  </transition>
</template>
<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'Modal',
  props: {
    close: {
      type: Function,
      required: false,
      default: () => null,
    },
  },
});
</script>
<style>
.backdrop {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: rgba(0, 0, 0, 0.3);
  display: flex;
  justify-content: center;
  align-items: center;
}

.modal {
  background: #ffffff;
  overflow-x: auto;
  display: flex;
  border-radius: 12px;
}

.modal-body {
  position: relative;
  padding: 20px 10px;
  min-width: 350px;
  min-height: 100px;
}
.column {
  display: flex;
  flex-direction: column;
}
</style>
